import { FargateService, FargateServiceProps } from 'aws-cdk-lib/aws-ecs';
import { NetworkLoadBalancer } from 'aws-cdk-lib/aws-elasticloadbalancingv2';
import { Construct } from 'constructs';
import { KongFeatureProps } from '../../kong-ecs';
export interface KongAdminServiceProps {
    readonly kongServiceProps: FargateServiceProps;
    readonly adminNlb: NetworkLoadBalancer;
    readonly managerNlb?: NetworkLoadBalancer;
    readonly devPortalNlb?: NetworkLoadBalancer;
    readonly hostedZoneName: string;
    readonly kongFeaturesProps: KongFeatureProps;
}
export declare class KongAdminService extends FargateService {
    private zone;
    private adminPort;
    private adminHttpsPort;
    private managerPort;
    private managerHttpsPort;
    private telemetryPort;
    private clusterPort;
    private devPortalPort;
    private controlPlaneDnsEp;
    private adminEndpoint;
    private managerEndpoint;
    private devPortalEndpoint;
    private clusterEndpoint;
    private telemetryEndpoint;
    constructor(scope: Construct, id: string, props: KongAdminServiceProps);
    private registerKongFeatureTargets;
}
